<div>
  <mat-card class="versions-container">
    <ng-container *ngFor="let version of this.versions">
      <mat-card class="version">
        <app-all-versions [version]="version" (createEmit)="this.updateCurrent($event)"
          (createVersionEmit)="this.createVersion($event)">
        </app-all-versions>
      </mat-card>
    </ng-container>
    <div *ngIf='this.createVersion'>
      <app-create-new-version [previousCurrentVersion]='this.versions' (createEmit)="addNewVersion($event)">
      </app-create-new-version>
    </div>
    <div>
      <button mat-stroked-button class="btn-basic" (click)="this.showCreateVersion()">Create new version</button>
    </div>
  </mat-card>
</div>
